empathy crashed because depend on package telepathy-logger

Bug #623516 reported by Peta on 2010-08-24
56
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Empathy
Invalid
Medium
empathy (Debian)
Fix Released
Unknown
empathy (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: empathy

Firstly before installing telepathy-logger

GLib-GIO-ERROR **: Settings schema 'org.freedesktop.Telepathy.Logger' is not installed

after installing telepathy-logger its just fine!

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: empathy 2.31.90-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-17.23-generic 2.6.35.2
Uname: Linux 2.6.35-17-generic x86_64
Architecture: amd64
CrashCounter: 1
Date: Tue Aug 24 19:55:14 2010
ExecutablePath: /usr/bin/empathy
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcCmdline: empathy
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 5
SourcePackage: empathy
StacktraceTop:
 ?? () from /usr/lib/libgio-2.0.so.0
 ?? () from /usr/lib/libgio-2.0.so.0
 g_object_newv () from /usr/lib/libgobject-2.0.so.0
 g_object_new_valist ()
 g_object_new () from /usr/lib/libgobject-2.0.so.0
Title: empathy crashed with signal 5 in g_object_newv()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video

Related branches

Peta (blahapeta-gmail) wrote :
Peta (blahapeta-gmail) wrote :

please add telepathy-logger to be installed with empathy to fix this

Braiam Peguero (braiampe) wrote :

Forwarded to upstream.

Laurent Bigonville (bigon) wrote :

Empathy package is already recommending telepathy-logger.

But this is true empathy should probably not crash when not installed

Changed in empathy (Ubuntu):
importance: Undecided → Low
Omer Akram (om26er) on 2010-08-24
Changed in empathy (Ubuntu):
status: New → Triaged
Changed in empathy:
status: Unknown → New
Changed in empathy:
status: New → Invalid
Pavel Rojtberg (rojtberg) wrote :

installing telepathy-logger does not help here. It seems like the package does not provide the mentioned dbus schema file..

Omer Akram (om26er) wrote :

empathy really need to depend on telepathy-logger.

Changed in empathy (Ubuntu):
importance: Low → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 2.31.91.1-0ubuntu3

---------------
empathy (2.31.91.1-0ubuntu3) maverick; urgency=low

  * Depends on telepathy-logger (lp: #623516), recommends libdconf0
 -- Sebastien Bacher <email address hidden> Mon, 06 Sep 2010 22:56:52 +0200

Changed in empathy (Ubuntu):
status: Triaged → Fix Released
KJ4OHH (kj4ohh) wrote :

installing telepathy-logger fixed it for me

Changed in empathy:
importance: Unknown → Medium
robbie (roberto-tomas-cuentas) wrote :

I have this problem on maverick 10.10 and with telepathy-logger installed

Changed in empathy (Debian):
status: Unknown → Confirmed
Changed in empathy (Debian):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.